/*
 * $Id: BalanceTooLowException.java,v 1.1 2010/10/18 18:39:49 david Exp $
 * $Log: BalanceTooLowException.java,v $
 * Revision 1.1  2010/10/18 18:39:49  david
 * *** empty log message ***
 *
 * 
 */
package bank;

/**
 * Balance is lower than amount being withdrawn.
 */
public class BalanceTooLowException extends BankException {
	/**
	 * Class serial number (serialization).
	 */
	private static final long serialVersionUID = 201010181631L;

	/** Current balance */
	private final double _balance;

	/** Invalid amount */
	private final double _amount;

	/**
	 * @param balance
	 *            the balance
	 * @param amount
	 *            the invalid amount
	 */
	public BalanceTooLowException(double balance, double amount) {
		_balance = balance;
		_amount = amount;
	}

	/**
	 * @return the balance
	 */
	public double getBalance() {
		return _balance;
	}

	/**
	 * @return the invalid amount
	 */
	public double getAmount() {
		return _amount;
	}
}
