/*
 * $Id: InvalidRemovalException.java,v 1.1 2010/10/18 18:39:49 david Exp $
 * $Log: InvalidRemovalException.java,v $
 * Revision 1.1  2010/10/18 18:39:49  david
 * *** empty log message ***
 *
 * 
 */
package bank;

/**
 * Exception for unsuccessful removal operations.
 */
public class InvalidRemovalException extends BankException {
	/**
	 * Class serial number (serialization).
	 */
	private static final long serialVersionUID = 201010181631L;

	/** The account */
	private final int _account;

	/** The amount in the account */
	private final double _amount;

	/**
	 * @param account
	 *            the account
	 * @param amount
	 *            the amount in the account
	 */
	public InvalidRemovalException(int account, double amount) {
		_account = account;
		_amount = amount;
	}

	/**
	 * @return the account
	 */
	public int getAccount() {
		return _account;
	}

	/**
	 * @return the amount
	 */
	public double getAmount() {
		return _amount;
	}
}
