/*
 * $Id: NegativeAmountException.java,v 1.1 2010/10/18 18:39:49 david Exp $
 * $Log: NegativeAmountException.java,v $
 * Revision 1.1  2010/10/18 18:39:49  david
 * *** empty log message ***
 *
 * 
 */
package bank;

/**
 * Exception for negative amounts.
 */
public class NegativeAmountException extends BankException {
	/**
	 * Class serial number (serialization).
	 */
	private static final long serialVersionUID = 201010181631L;

	/** Invalid amount */
	private final double _amount;

	/**
	 * @param amount
	 *            the negative amount
	 */
	public NegativeAmountException(double amount) {
		_amount = amount;
	}

	/**
	 * @return the negative amount
	 */
	public double getAmount() {
		return _amount;
	}
}
